Subject: Re: [PATCH] Clarify the "cannot lock existing info/refs" error

From: Clemens Buchacher <[email-masked]>
Date: Wed, 4 Mar 2009 20:28:53 +0100

On Wed, Mar 04, 2009 at 03:37:06PM +0000, John Tapsell wrote:
> -fprintf(stderr, "Error: cannot lock existing info/refs\n");
> +error("cannot lock existing info/refs on remote server\nPerhaps the
> server is currently busy, or your ~/.netrc file is not configured
> correctly.");

In my experience this is usually caused by http-push crashing and leaving
stale locks behind until it times out after 10 minutes. I don't think we
should speculate here unless we can narrow down the error condition.